Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.state
Interface PropertyContext

All Known Implementing Classes:
  AbstractPropertyContext

    public interface PropertyContext

Exposes to the portlet the interface to deal with the personalization state.

Version:
  $Revision: 6757 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `PREFERENCES_ATTRIBUTE` The attribute name under which the preferences can be accessed.

Method Summary
`java.util.Set<java.lang.String>` | `getKeys()` Return an immutable set of keys.
`java.util.List<java.lang.String>` | `getValue(java.lang.String key)` Return for a specified key an immutable list of its values or null if the value does not exist.
`boolean` | `isReadOnly()` Return true if the preferences are globally read only.
`void` | `update(PropertyChange[] changes)` Update the preferences.

Field Detail

### PREFERENCES_ATTRIBUTE

    static final java.lang.String PREFERENCES_ATTRIBUTE

  The attribute name under which the preferences can be accessed.

  See Also:
    Constant Field Values

Method Detail

### getKeys

    java.util.Set<java.lang.String> getKeys()

  Return an immutable set of keys.

  Returns:
    the set of keys

### getValue

    java.util.List<java.lang.String> getValue(java.lang.String key)
                                              throws java.lang.IllegalArgumentException

  Return for a specified key an immutable list of its values or null if the value does not exist.

  Parameters:
    `key` - the lookup key
  Returns:
    the key value or null if it does not exist
  Throws:
    `java.lang.IllegalArgumentException` - if the key is null

### isReadOnly

    boolean isReadOnly()
                       throws java.lang.IllegalStateException

  Return true if the preferences are globally read only. The value returned by this method is valid only during the action request. Any call to this method during the render request will produce a non accurate value.

  Returns:
    true if the preferences are read only
  Throws:
    `java.lang.IllegalStateException` - if this is called during render phase

### update

    void update(PropertyChange[] changes)
                throws java.lang.IllegalStateException

  Update the preferences.

  Parameters:
    `changes` - the list of changes
  Throws:
    `java.lang.IllegalStateException` - if the preferences is not writable
    `java.lang.IllegalArgumentException` - if any change is not valid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.